#hero-image {
  background-image:  url("../img/cemetery_bc.png?v=2"); /* The image used */
  background-color: #cccccc; /* Used if the image is unavailable */
  height: 100dvh; /* Set to 100% of the viewport height */
  width: 100%; /* Set to 100% of the viewport width */
  background-position: center; /* Center the image */
  background-repeat: no-repeat; /* Do not repeat the image */
  background-size: cover; /* Resize the background image to cover the entire container */
  display: flex; /* Flexbox to vertically center content */
  justify-content: center; /* Horizontal centering */
  align-items: center; /* Vertical centering */
}

#hero-overlay{
  background-color: rgba(71, 71, 71, 0.3); /* Used if the image is unavailable */
  opacity: 50;
  height: 100%; /* You must set a specified height */
  width: 100%;
  background-position: center; /* Center the image */
  background-repeat: no-repeat; /* Do not repeat the image */
  background-size: cover; /* Resize the background image to cover the entire container */
  overflow-y: auto;
}

#hero-inner{
  color: white;
  width: 60%;
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

#map {
  width: 100%;
  height: 100dvh;
}

.btn-green{
  color: white;
  background-color: #657E4A;
  border-radius: 5px;
  padding: 10px;
  width: 100%;
  border: none;
}

.search-landing, .btn-green {
    height: 100%;
    box-sizing: border-box;
    border-radius: 10px;
}

#page {
    display: flex;
    flex-direction: column;
    min-height: 100dvh;
    padding-top: 0;
    position: relative;
    width: 100%;
}

#landing-search-form button:focus-visible,
#landing-search-form button:focus {
    outline: unset !important;
}
#landing-search-form button:disabled {
    opacity: 0.8;
    background-color: #aaaaaa;
    cursor: not-allowed;
}

#landing-search-form .fa-spinner {
    display: none;
}

@media (max-width: 1000px) {
    .modal-dialog {
      margin: auto;
      margin-top: 0.5rem;
    }
    #hero-inner {
      top: 4rem !important;
      transform: translate(-50%, 0) !important;
      -webkit-transform: translate(-50%, 0) !important;
    }
    #landing-search-form .row > div {
      padding: 0!important;
      margin-bottom: 1rem !important;
    }
    #resultsList {
      padding-left: 0 !important;
    }
    #left-top {
      left: 0 !important;
    }
    .cemetery-left-panel-flex {
      left: 8px;
    }
}
@media (max-width: 500px) {
    #expandCemeteryFilter {
        position: absolute;
        margin-top: 0 !important;
        left: -9px !important;
        min-width: unset !important;
        width: 100vw;
    }
    #cemeteryFilterBtn {
        z-index: 1;
    }
    #cemeteryFilter {
      margin-top: 6px !important;
    }
    .map-header {
      margin-top: 0 !important;
      border-radius: 0 !important;
      width: 100vw;
    }
    .map-header input[type="text"] {
      width: 100%;
    }
    #cemetery-detail-name {
      display: none;
    }
}

#footer {
    display: none;
}

#footer-transparent {
    display: block;
}

.maplibregl-ctrl-scale {
    margin-bottom: 20px !important;
}

@media (max-height: 650px) {
    #legend-wrapper {
      margin-left: 3rem !important;
      margin-bottom: -2.4rem !important;
    }
}
/* MEDIA */
@media (max-width: 1200px) {
    #page > .footer-page {
        display: none !important;
    }
}